/* Contenedor del input y tooltip */
.tooltip {
    position: relative;
    display: inline-block;
}

/* Tooltip */
.tooltip .tooltiptext {
    visibility: hidden;
    position: absolute;
    width: max-content;
    min-width: 100px;
    max-width: 250px;
    white-space: normal;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 10px;
    padding: 5px 12px;
    z-index: 1;
    opacity: 0;
    transform: translateX(-50%) translateY(-5px);
    transition: opacity 0.2s ease, transform 0.2s ease;
    transition-delay: 0.2s;
    top:135%;
    left:50%;
    pointer-events: none;
    font-size: 10pt;
    line-height: 1.5;
}

/* Mostrar tooltip al pasar el mouse o enfocar el input */
.tooltip:hover .tooltiptext,
.tooltip:focus-within .tooltiptext {
    transform: translateX(-50%) translateY(0);
    visibility: visible;
    opacity: 1;
}

/* Flecha del tooltip */
.tooltip .tooltiptext::after{
    content:"";
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent #555 transparent;
    pointer-events: none;
}


/* ELIMINAR TODO ESTO */

/* Contenedor del input y tooltip */
.input-container {
    position: relative;
/*    display: inline-block;*/
}

/* Tooltip */
.tooltip-amarilla {
    visibility: hidden;
    opacity: 0;
    background-color: #ffa500;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 8px 12px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    font-size: 13px;
    white-space: nowrap;
    top: 100%;
    margin-top: 6px;

    z-index: 1;
    transition: opacity 0.2s;
}

/* Flecha del tooltip */
.input-container .tooltip-amarilla::after {
    content: "";
    position: absolute;
    bottom: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent #ffa500 transparent;
}

/* Mostrar tooltip al pasar el mouse o enfocar el input */
.input-container:hover .tooltip-amarilla,
.input-container input:focus + .tooltip-amarilla {
    visibility: visible;
    opacity: 1;
}


